com.saxonica.stream.watch

## Class StringValueAccumulator

- java.lang.Object
- - com.saxonica.validate.Checker
  - - com.saxonica.stream.watch.StringValueAccumulator

- All Implemented Interfaces:
    Result, Receiver

      public class StringValueAccumulator
      extends Checker

  A StringValueAccumulator is a Receiver that computes the string value of an element in streaming mode, by copying all the text nodes to a supplied receiver.

- - ### Field Summary

    - ### Fields inherited from interface javax.xml.transform.Result

      `PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringValueAccumulator(FastStringBuffer buffer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `characters(CharSequence chars, int locationId, int properties)` Notify character data.

    - ### Methods inherited from class com.saxonica.validate.Checker

      `attribute, close, comment, endDocument, endElement, getConfiguration, getPipelineConfiguration, getSystemId, namespace, open, processingInstruction, setPipelineConfiguration, setSystemId, setUnparsedEntity, startContent, startDocument, startElement, usesTypeAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StringValueAccumulator

          public StringValueAccumulator(FastStringBuffer buffer)

  - ### Method Detail

    - #### characters

          public void characters(CharSequence chars,
                        int locationId,
                        int properties)
                          throws XPathException

      Description copied from interface: `Receiver`
      Notify character data. Note that some receivers may require the character data to be sent in a single event, but in general this is not a requirement.
      Specified by:
        `characters` in interface `Receiver`
      Overrides:
        `characters` in class `Checker`
      Parameters:
        `chars` - The characters
        `locationId` - an integer which can be interpreted using a `LocationProvider` to return information such as line number and system ID. If no location information is available, the value zero is supplied.
        `properties` - Bit significant value. The following bits are defined:
      DISABLE_ESCAPING
        Disable escaping for this text node
      USE_CDATA
        Output as a CDATA section
      Throws:
        `XPathException` - if an error occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.